import xyz.wbsite.excel.annotation.ColumnDescription;
import xyz.wbsite.excel.annotation.ColumnName;
import xyz.wbsite.excel.annotation.SheetName;

import javax.validation.constraints.*;
import java.util.Date;

@SheetName("用户")
public class User {

    @NotNull
    @ColumnDescription("文字填写规范")
    @ColumnName("文字")
    private String wz;
    @ColumnName("日期时间")
    private Date date;
    @ColumnName("布尔")
    @AssertTrue(message = "布尔必须是TRUE")
    private boolean br;
    @ColumnName("比特")
    private byte bt;
    @ColumnName("字符")
    private char zf;
    @ColumnName("短整数")
    private short dzs;
    @ColumnName("整数")
    private int zs;
    @ColumnName("长整数")
    @Max(value = 2000, message = "长整数是需<2000之间")
    @Min(value = 1000, message = "长整数是需>1000之间")
    private long czs;
    @ColumnName("浮点")
    @Max(value = 1, message = "浮点必须小于1之间")
    private float fd;
    @ColumnName("双精度")
    private double sjd;

    public String getWz() {
        return wz;
    }

    public void setWz(String wz) {
        this.wz = wz;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public boolean isBr() {
        return br;
    }

    public void setBr(boolean br) {
        this.br = br;
    }

    public byte getBt() {
        return bt;
    }

    public void setBt(byte bt) {
        this.bt = bt;
    }

    public char getZf() {
        return zf;
    }

    public void setZf(char zf) {
        this.zf = zf;
    }

    public short getDzs() {
        return dzs;
    }

    public void setDzs(short dzs) {
        this.dzs = dzs;
    }

    public int getZs() {
        return zs;
    }

    public void setZs(int zs) {
        this.zs = zs;
    }

    public long getCzs() {
        return czs;
    }

    public void setCzs(long czs) {
        this.czs = czs;
    }

    public float getFd() {
        return fd;
    }

    public void setFd(float fd) {
        this.fd = fd;
    }

    public double getSjd() {
        return sjd;
    }

    public void setSjd(double sjd) {
        this.sjd = sjd;
    }

    @Override
    public String toString() {
        return String.valueOf(this.zf);
    }
}
